## xrt 202020.2.8.726

=== debian/changelog ===
xrt (202020.2.8.726-0ubuntu5) hirsute; urgency=medium

  * Avoid installing files in /opt and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 13 Apr 2021 14:10:07 +0200

xrt (202020.2.8.726-0ubuntu4) hirsute; urgency=medium

  * Fix lintian warnings and add watch file

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 09 Apr 2021 14:42:09 +0200

xrt (202020.2.8.726-0ubuntu3) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 23 Mar 2021 17:14:50 +0100

xrt (202020.2.8.726-0ubuntu2) focal; urgency=medium

  * Add missing dependency for x86

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 17:46:04 +0100

xrt (202020.2.8.726-0ubuntu1) focal; urgency=medium

  * Update to 202020.2.8.726 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 13:33:35 +0100

xrt (202010.2.7.766-0ubuntu4) focal; urgency=medium

  * Fix postinst/prerm for zocl

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 13:25:07 +0200

xrt (202010.2.7.766-0ubuntu3) focal; urgency=medium

  * Add zocl files

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 12:31:03 +0200

xrt (202010.2.7.766-0ubuntu2) focal; urgency=medium

  * Add xrt-embedded package for arm64.
    The structure of this package is significantly different to the xrt
    one.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 11:31:53 +0200

xrt (202010.2.7.766-0ubuntu1) focal; urgency=medium

  * Update to 202010.2.7.766 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 01 Oct 2020 16:19:32 +0200

xrt (202010.2.6.655-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:04:43 +0200

=== debian/control ===
Source: xrt
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               cppcheck,
               debhelper-compat (= 12),
# used to check the version of the tree
               git,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libcurl4-openssl-dev,
               libdrm-dev,
               libgtest-dev,
               libncurses5-dev,
               libprotobuf-dev,
               libssl-dev,
               libudev-dev,
               libxml2-dev,
               libyaml-dev,
               lsb-release,
               ocl-icd-dev,
               ocl-icd-opencl-dev,
               opencl-clhpp-headers,
               pkg-config,
               protobuf-compiler,
               uuid-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Xilinx/XRT
Vcs-Git: https://github.com/Xilinx/XRT.git

Package: xrt
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3
Description: Xilinx Runtime (XRT) - runtime libraries
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XRT libraries, headers, and tools for PCIe
 devices.

Package: xrt-embedded
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Xilinx Runtime (XRT) - runtime libraries
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XRT libraries, headers, and tools for MPSoC
 devices.

Package: xrt-xocl-dkms
# host/server only driver
Architecture: amd64
Depends: ${misc:Depends},
         dkms
Description: Xilinx Runtime (XRT) - XOCL DKMS kernel drivers
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XOCL DKMS kernel drivers.

Package: xrt-zocl-dkms
# embedded/edge only driver
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dkms
Description: Xilinx Runtime (XRT) - ZOCL DKMS kernel drivers
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the ZOCL DKMS kernel drivers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --sourcedirectory=src

override_dh_auto_configure:
	set -ex; \
	if [ "$$(dpkg-architecture -q DEB_TARGET_ARCH)" = arm64 ]; then \
		XRT_NATIVE_BUILD=no dh_auto_configure; \
	else \
		dh_auto_configure; \
	fi

override_dh_auto_test:
# tests not currently passing
	dh_auto_test || true

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib -l/usr/lib/xrt/module

## xrt 202020.2.8.743

=== bram_v4_2/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=*.h

LIBSOURCES=*.c
OUTS = *.o 
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs:
	echo "Compiling bram"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} $(OUTS)
	make clean

include: 
	 ${CP} ${INCLUDEFILES} ${INCLUDEDIR} 

clean:
	rm -rf ${OBJECTS}

=== cpu_v2_11/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

CC_FLAGS = $(COMPILER_FLAGS)
ECC_FLAGS = $(EXTRA_COMPILER_FLAGS)

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

OUTS = *.o

LIBSOURCES:=*.c
INCLUDEFILES:=*.h

OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs: banner xcpu_libs clean

%.o: %.c
	${COMPILER} $(CC_FLAGS) $(ECC_FLAGS) $(INCLUDES) -o $@ $<

banner:
	echo "Compiling cpu"

xcpu_libs: ${OBJECTS}
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OBJECTS}

.PHONY: include
include: xcpu_includes

xcpu_includes:
	${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== ert_project/empty_application_bsp/Makefile ===
# Makefile generated by Xilinx.

PROCESSOR = static_region_brd_mgmt_scheduler_embedded_schduler_microblaze_scheduler
LIBRARIES = ${PROCESSOR}/lib/libxil.a
BSP_MAKEFILES := $(wildcard $(PROCESSOR)/libsrc/*/src/Makefile)
SUBDIRS := $(patsubst %/Makefile, %, $(BSP_MAKEFILES))

ifneq (,$(findstring win,$(RDI_PLATFORM)))
 SHELL = CMD
endif

all: libs
	@echo 'Finished building libraries'

include: $(addsuffix /make.include,$(SUBDIRS))

libs: $(addsuffix /make.libs,$(SUBDIRS))

clean: $(addsuffix /make.clean,$(SUBDIRS))

$(PROCESSOR)/lib/libxil.a: $(PROCESSOR)/lib/libxil_init.a
	cp -f $< $@

%/make.include: $(if $(wildcard $(PROCESSOR)/lib/libxil_init.a),$(PROCESSOR)/lib/libxil.a,)
	@echo "Running Make include in $(subst /make.include,,$@)"
	$(MAKE) -C $(subst /make.include,,$@) -s include  "SHELL=$(SHELL)" "COMPILER=mb-gcc" "ARCHIVER=mb-ar" "COMPILER_FLAGS= -O2 -c -mcpu=v10.0 -mlittle-endian -mxl-soft-mul" "EXTRA_COMPILER_FLAGS=-ffunction-sections -fdata-sections -Wall -Wextra"

%/make.libs: include
	@echo "Running Make libs in $(subst /make.libs,,$@)"
	$(MAKE) -C $(subst /make.libs,,$@) -s libs  "SHELL=$(SHELL)" "COMPILER=mb-gcc" "ARCHIVER=mb-ar" "COMPILER_FLAGS= -O2 -c -mcpu=v10.0 -mlittle-endian -mxl-soft-mul" "EXTRA_COMPILER_FLAGS=-ffunction-sections -fdata-sections -Wall -Wextra"

%/make.clean: 
	$(MAKE) -C $(subst /make.clean,,$@) -s clean 
clean:
	rm -f ${PROCESSOR}/lib/libxil.a

=== gpio_v4_5/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

CC_FLAGS = $(COMPILER_FLAGS)
ECC_FLAGS = $(EXTRA_COMPILER_FLAGS)

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}


INCLUDEFILES:=*.h

OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs: banner xgpio_libs clean

%.o: %.c
	${COMPILER} $(CC_FLAGS) $(ECC_FLAGS) $(INCLUDES) -o $@ $<

banner:
	echo "Compiling gpio"

xgpio_libs: ${OBJECTS}
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OBJECTS}

.PHONY: include
include: xgpio_includes

xgpio_includes:
	${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== intc_v3_7/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a
LEVEL=0

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=*.h
LIBSOURCES=*.c

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
libs:
	echo "Compiling intc"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OUTS}
	make clean

include:
	${CP} $(INCLUDEFILES) $(INCLUDEDIR)

clean:
	rm -rf ${OBJECTS}

=== mgmt_project/empty_application_bsp/Makefile ===
# Makefile generated by Xilinx.

PROCESSOR = static_region_brd_mgmt_scheduler_board_management_microblaze_board_control
LIBRARIES = ${PROCESSOR}/lib/libxil.a
BSP_MAKEFILES := $(wildcard $(PROCESSOR)/libsrc/*/src/Makefile)
SUBDIRS := $(patsubst %/Makefile, %, $(BSP_MAKEFILES))

ifneq (,$(findstring win,$(RDI_PLATFORM)))
 SHELL = CMD
endif

all: libs
	@echo 'Finished building libraries'

include: $(addsuffix /make.include,$(SUBDIRS))

libs: $(addsuffix /make.libs,$(SUBDIRS))

clean: $(addsuffix /make.clean,$(SUBDIRS))

$(PROCESSOR)/lib/libxil.a: $(PROCESSOR)/lib/libxil_init.a
	cp -f $< $@

%/make.include: $(if $(wildcard $(PROCESSOR)/lib/libxil_init.a),$(PROCESSOR)/lib/libxil.a,)
	@echo "Running Make include in $(subst /make.include,,$@)"
	$(MAKE) -C $(subst /make.include,,$@) -s include  "SHELL=$(SHELL)" "COMPILER=mb-gcc" "ARCHIVER=mb-ar" "COMPILER_FLAGS= -O2 -c -mcpu=v10.0 -mlittle-endian -mxl-soft-mul" "EXTRA_COMPILER_FLAGS=-ffunction-sections -fdata-sections -Wall -Wextra"

%/make.libs: include
	@echo "Running Make libs in $(subst /make.libs,,$@)"
	$(MAKE) -C $(subst /make.libs,,$@) -s libs  "SHELL=$(SHELL)" "COMPILER=mb-gcc" "ARCHIVER=mb-ar" "COMPILER_FLAGS= -O2 -c -mcpu=v10.0 -mlittle-endian -mxl-soft-mul" "EXTRA_COMPILER_FLAGS=-ffunction-sections -fdata-sections -Wall -Wextra"

%/make.clean: 
	$(MAKE) -C $(subst /make.clean,,$@) -s clean 
clean:
	rm -f ${PROCESSOR}/lib/libxil.a

=== spi_v4_3/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=xspi_l.h xspi.h

LIBSOURCES=*.c
OUTS = *.o 
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs:
	echo "Compiling spi"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} $(OUTS)
	make clean

include: 
	 ${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== src/python/CMakeLists.txt ===
install(FILES xrt_binding.py    DESTINATION ${PY_INSTALL_DIR})
install(FILES ert_binding.py    DESTINATION ${PY_INSTALL_DIR})
install(FILES xclbin_binding.py DESTINATION ${PY_INSTALL_DIR})

=== src/xma/CMakeLists.txt ===
option(XMA_VERBOSE "Enable xma verbosity" OFF)

if (XMA_VERBOSE)
  add_compile_options("-DXMA_VERBOSE")
endif()

add_compile_options("-fPIC")
add_compile_options("-Wall" "-Werror")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-Bsymbolic")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")

add_subdirectory(src)
add_subdirectory(xma_legacy)

#Install all header files with directory structure
#Don't remove trailing/ in include/
install(DIRECTORY include/
  DESTINATION ${XMA_INSTALL_DIR}/include/xma2
  COMPONENT ${XRT_DEV_COMPONENT}
  PATTERN "include/lib" EXCLUDE
)

=== standalone_v7_2/src/Makefile ===
###############################################################################
# Copyright (c) 2012 - 2020 Xilinx, Inc.  All rights reserved.
# SPDX-License-Identifier: MIT
###############################################################################

# The following are defined in config.make
# LIBSOURCES - Based on if MicroBlaze support Exceptions
# LIBS - Do Build Profile Libraries
include config.make

AS=$(ASSEMBLER)
CC=$(COMPILER)
AR=$(ARCHIVER)
CP=cp
COMPILER_FLAGS=-O2 -c
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

CC_FLAGS = $(subst -pg, , $(COMPILER_FLAGS))
ECC_FLAGS = $(subst -pg, , $(EXTRA_COMPILER_FLAGS))

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
ASSEMBLY_OBJECTS  = $(addsuffix .o, $(basename $(wildcard *.S)))
INCLUDEFILES=*.h

libs: $(LIBS) clean

standalone_libs: $(LIBSOURCES)
	echo "Compiling standalone";
	$(CC) $(CC_FLAGS) $(ECC_FLAGS) $(INCLUDES) $^
	$(AR) -r ${RELEASEDIR}/${LIB} ${OBJECTS} ${ASSEMBLY_OBJECTS}

profile_libs:
	$(MAKE) -C profile COMPILER_FLAGS="$(COMPILER_FLAGS)" EXTRA_COMPILER_FLAGS="$(EXTRA_COMPILER_FLAGS)" COMPILER="$(CC)" ARCHIVER="$(AR)" AS="$(AS)" libs

include: standalone_includes profile_includes

standalone_includes:
	${CP} ${INCLUDEFILES} ${INCLUDEDIR}

profile_includes:
	$(MAKE) -C profile COMPILER_FLAGS="$(COMPILER_FLAGS)" EXTRA_COMPILER_FLAGS="$(EXTRA_COMPILER_FLAGS)" COMPILER="$(CC)" ARCHIVER="$(AR)" AS="$(AS)" include

clean:
	rm -rf ${OBJECTS}
	rm -rf ${ASSEMBLY_OBJECTS}
	$(MAKE) -C profile COMPILER_FLAGS="$(COMPILER_FLAGS)" EXTRA_COMPILER_FLAGS="$(EXTRA_COMPILER_FLAGS)" COMPILER="$(CC)" ARCHIVER="$(AR)" AS="$(AS)" clean

=== sysmon_v7_4/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=*.h
LIBSOURCES=*.c
OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs:
	echo "Compiling sysmon"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OUTS}
	make clean

include:
	 ${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== tests/xma/Makefile ===
TOPTARGETS := all clean

SUBDIRS := plugins $(wildcard check_xma*/.)

$(TOPTARGETS): $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

.PHONY: $(TOPTARGETS) $(SUBDIRS)

=== debian/changelog ===
xrt (202020.2.8.743-0ubuntu2) jammy; urgency=medium

  * Convert packages in transitional packages to the ones from
    xilinx-runtime source package.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 03 Mar 2022 11:17:15 +0100

xrt (202020.2.8.743-0ubuntu1) impish; urgency=medium

  * Update to 202020.2.8.743 tag upstream (fixex issue with reading AIE
    counter)
  * Add OpenCL configuration file (LP: #1939613)
  * Fix FTBFS with latest impish gcc
  * Restrict build to arm64 only

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 13 Aug 2021 11:30:48 +0200

xrt (202020.2.8.726-0ubuntu7) impish; urgency=medium

  * Fix patches description

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 12:19:28 +0200

xrt (202020.2.8.726-0ubuntu6) impish; urgency=medium

  * Fix dkms packages build

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 24 May 2021 12:23:12 +0200

=== debian/control ===
Source: xrt
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
# used to check the version of the tree
               git,
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Xilinx/XRT
Vcs-Git: https://github.com/Xilinx/XRT.git

Package: xrt-embedded
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         xrt
Description: Xilinx Runtime (XRT) - runtime libraries
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XRT libraries, headers, and tools for MPSoC
 devices.
 .
 This is now a transitional package that pulls the xrt package,
 which has the same contents as previous versions of xrt-embedded.

Package: xrt-zocl-dkms
# embedded/edge only driver
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         xrt-dkms
Description: Xilinx Runtime (XRT) - ZOCL DKMS kernel drivers
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the ZOCL DKMS kernel drivers.
 .
 This is now a transitional package that pulls the xrt-dkms package,
 which has the same contents as previous versions of xrt-zocl-dkms.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --sourcedirectory=src

override_dh_auto_configure:
	:

override_dh_auto_test:
	:

override_dh_install:
	:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xrt-$1.tar.gz%" \
    https://github.com/Xilinx/XRT/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xrt 202210.2.13.466%2Bdfsg

=== tests/xma/check_xmalogger/Makefile ===
CC    = g++
CFLAGS       = -std=c++11 -fPIC -g -I. -I../plugins -I/opt/xilinx/xrt/include -I${XMA_INCLUDE}
LDFLAGS      = -L/opt/xilinx/xrt/lib -L${XMA_LIBS} -lxmaapi -lxrt_core

SOURCES = $(shell echo *.c)
HEADERS = $(shell echo *.h)
OBJECTS = $(SOURCES:.c=.o)
TARGET  = $(SOURCES:.c=.exe)
OUTPUT  = $(SOURCES:.c=.out)


%.o: %.c
	$(CC) -c $^ $(CFLAGS)

%.exe: %.o 
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

run: $(TARGET)
	./$(TARGET) > ./$(OUTPUT) 2>&1

.PHONY: all
all: $(TARGET) run



.PHONY : clean
clean:
	rm -rf $(OBJECTS) $(TARGET)

=== tests/xrt/04_swizzle/CMakeLists.txt ===
# SPDX-License-Identifier: Apache-2.0
# Copyright (C) 2019-2022 Xilinx, Inc. All rights reserved.
#
CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0)
PROJECT(04_swizzle)
set(TESTNAME "04_swizzle")

include(../../CMake/utils.cmake)

add_executable(04_swizzle main.cpp)
target_link_libraries(04_swizzle PRIVATE ${xrt_coreutil_LIBRARY})

if (NOT WIN32)
  target_link_libraries(04_swizzle PRIVATE ${uuid_LIBRARY} pthread)
endif(NOT WIN32)

if (DEFINED ENV{XCLBIN_CREATION})
  if (DEFINED ENV{XCL_EMULATION_MODE})
    xrt_create_emconfig(${PLATFORM})
  endif()

  set(XOS "")
  set(XO_TARGETS "")

  # xrt_create_xo is a macro defined in utils.cmake for generating xo file
  xrt_create_xo(
    "${CMAKE_CURRENT_SOURCE_DIR}/kernel.cl"
    ""
    "kernel"
  )
  # xrt_create_xclbin is macro defined in utils.cmake for generating xclbin
  xrt_create_xclbin(
    "kernel"
    ""
  )
endif()

install(TARGETS 04_swizzle
  RUNTIME DESTINATION ${INSTALL_DIR}/${TESTNAME})

=== src/runtime_src/core/tools/CMakeLists.txt ===
# SPDX-License-Identifier: Apache-2.0
# Copyright (C) 2019-2022 Xilinx, Inc. All rights reserved.
#
if (${XRT_BOOST_VERSION} VERSION_LESS 1.64.0)
  add_compile_options(-DNO_BOOST_PROCESS)
endif()

add_subdirectory(xbutil2)
if (${XRT_NATIVE_BUILD} STREQUAL "yes")
  add_subdirectory(xbmgmt2)
  if(NOT WIN32)
    add_subdirectory(xbtop)
    add_subdirectory(xbflash2)
  endif()
endif()

install (PROGRAMS "./common/xball" DESTINATION ${XRT_INSTALL_BIN_DIR})
if (${XRT_NATIVE_BUILD} STREQUAL "yes")
  if (NOT WIN32)
    # Use PROGRAMS to allow for execution. This is recommended in the CMake documentation
    # https://cmake.org/cmake/help/latest/command/install.html#files
    # This is used for the setup script to enable auto completion
    install (PROGRAMS "./xbmgmt2/xbmgmt-bash-completion" DESTINATION "${XRT_INSTALL_DIR}/share/completions")
    install (PROGRAMS "./xbmgmt2/xbmgmt-csh-completion" DESTINATION "${XRT_INSTALL_DIR}/share/completions")
    install (PROGRAMS "./xbmgmt2/xbmgmt-csh-completion-wrapper" DESTINATION "${XRT_INSTALL_DIR}/share/completions")
    install (PROGRAMS "./xbutil2/xbutil-bash-completion" DESTINATION "${XRT_INSTALL_DIR}/share/completions")
    install (PROGRAMS "./xbutil2/xbutil-csh-completion" DESTINATION "${XRT_INSTALL_DIR}/share/completions")
    install (PROGRAMS "./xbutil2/xbutil-csh-completion-wrapper" DESTINATION "${XRT_INSTALL_DIR}/share/completions")
  endif()
endif()

=== src/runtime_src/core/edge/hw_em/CMakeLists.txt ===
# SPDX-License-Identifier: Apache-2.0
# Copyright (C) 2019-2022 Xilinx, Inc. All rights reserved.
#
set(EM_SRC_DIR  "${CMAKE_CURRENT_SOURCE_DIR}")
set(COMMON_EM_SRC_DIR  "${CMAKE_CURRENT_SOURCE_DIR}/../user")
set(XDP_PLUGIN_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../user/plugin/xdp")
set(AIE_HW_EM_SRC_DIR  "${CMAKE_CURRENT_SOURCE_DIR}/../user/aie")
set(AIE_HW_EM_CL_SRC_DIR  "${CMAKE_CURRENT_SOURCE_DIR}/../user/aie/common_layer")

include_directories(
  ${EM_SRC_DIR}
  ${DRM_INCLUDE_DIRS}
  ${COMMON_EM_SRC_DIR}
  ${BOOST_FILESYSTEM_INCLUDE_DIRS}
  ${BOOST_SYSTEM_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR} # includes version.h
  )

file(GLOB EM_SRC_FILES
  "${COMMON_EM_SRC_DIR}/*.h"
  "${COMMON_EM_SRC_DIR}/*.cpp"
  "${EM_SRC_DIR}/*.h"
  "${EM_SRC_DIR}/*.cpp"
  )

file(GLOB XRT_CORE_EDGE_USER_AIE_HW_EM_FILES
  "${AIE_HW_EM_SRC_DIR}/*.h"
  "${AIE_HW_EM_SRC_DIR}/*.cpp"
  "${AIE_HW_EM_SRC_DIR}/*.c"
  "${AIE_HW_EM_CL_SRC_DIR}/*.h"
  "${AIE_HW_EM_CL_SRC_DIR}/*.cpp"
  )

file(GLOB XDP_PLUGIN_HW_EM_FILES
  "${XDP_PLUGIN_DIR}/hw_emu_device_offload.h"
  "${XDP_PLUGIN_DIR}/hw_emu_device_offload.cpp"
  "${XDP_PLUGIN_DIR}/plugin_loader.h"
  "${XDP_PLUGIN_DIR}/plugin_loader.cpp"
  "${XDP_PLUGIN_DIR}/hal_profile.h"
  "${XDP_PLUGIN_DIR}/hal_profile.cpp"
  )

if (DEFINED XRT_AIE_BUILD)
  set(CMAKE_CXX_FLAGS "-DXAIE_DEBUG -D__HWEM__ ${CMAKE_CXX_FLAGS}")
  add_library(core_edge_user_aie_object_hw_em OBJECT ${XRT_CORE_EDGE_USER_AIE_HW_EM_FILES})
endif()

add_definitions(-DXCLHAL_MAJOR_VER=1 -DXCLHAL_MINOR_VER=0 -D__HWEM__)
add_library(core_edgeuser_plugin_xdp_hw_em_objects OBJECT ${XDP_PLUGIN_HW_EM_FILES})

# Bypass binary targets if clangtidy is enabled,
# same targets are defined for DC
if (${XRT_CLANGTIDY_REVIEW})
  return()
endif()

if (DEFINED XRT_AIE_BUILD)
  add_library(xrt_hwemu SHARED ${EM_SRC_FILES}
    $<TARGET_OBJECTS:core_edgeuser_plugin_xdp_hw_em_objects>
    $<TARGET_OBJECTS:core_common_objects>
    $<TARGET_OBJECTS:core_edge_user_aie_object_hw_em>
    $<TARGET_OBJECTS:core_edge_common_objects>
    )
else()
add_library(xrt_hwemu SHARED ${EM_SRC_FILES}
  $<TARGET_OBJECTS:core_edgeuser_plugin_xdp_hw_em_objects>
  $<TARGET_OBJECTS:core_common_objects>
  $<TARGET_OBJECTS:core_edge_common_objects>
  )
endif()

set_target_properties(xrt_hwemu PROPERTIES VERSION ${XRT_VERSION_STRING}
  SOVERSION ${XRT_SOVERSION})

if (DEFINED XRT_AIE_BUILD)
  target_link_libraries(xrt_hwemu
    PRIVATE
    xrt_coreutil
    pthread
    rt
    dl
    uuid
    ${Boost_FILESYSTEM_LIBRARY}
    ${Boost_SYSTEM_LIBRARY}
    metal
    xaiengine
    )
else()
  target_link_libraries(xrt_hwemu
    PRIVATE
    xrt_coreutil
    pthread
    rt
    dl
    uuid
    ${Boost_FILESYSTEM_LIBRARY}
    ${Boost_SYSTEM_LIBRARY}
  )
endif()

if (DEFINED XRT_LIBDFX)
  cmake_policy(PUSH)
    #Setting this policy makes linking libraries simple
    cmake_policy(SET CMP0079 NEW)
    target_link_libraries(xrt_hwemu PRIVATE dfx)
    target_compile_definitions(xrt_hwemu PRIVATE XRT_ENABLE_LIBDFX)
  cmake_policy(POP)
endif()

install (TARGETS xrt_hwemu 
  EXPORT xrt-targets
  LIBRARY DESTINATION ${XRT_INSTALL_LIB_DIR}
)

=== src/runtime_src/core/pcie/driver/linux/include/CMakeLists.txt ===
# SPDX-License-Identifier: Apache-2.0
# Copyright (C) 2019-2021 Xilinx, Inc. All rights reserved.
#
set(XRT_HEADER_SRC
  mailbox_proto.h)

install (FILES ${XRT_HEADER_SRC} DESTINATION ${XRT_INSTALL_INCLUDE_DIR} COMPONENT ${XRT_DEV_COMPONENT})

message("-- XRT header files")
foreach (header ${XRT_HEADER_SRC})
  message("-- ${header}")
endforeach()

=== debian/changelog ===
xrt (202210.2.13.466+dfsg-8.2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:32 +0200
